#
# Rebuild option:
#
#   --with testsuite         - run the test suite (requires X)
#

# NOTE: On every new version, we need to manually regenerate the list of XS Provides
# cd Wx-*
# for i in `grep -r "PACKAGE=" * | cut -d " " -f 2 | sed 's|PACKAGE=|perl(|g' | grep "Wx::" | sort -n |uniq`; do printf "Provides: $i)\\n"; done

Name:           perl-Wx
Version:        0.9901
Release:        2%{?dist}
Summary:        Interface to the wxWidgets cross-platform GUI toolkit
Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Wx/
Source0:        http://search.cpan.org/CPAN/authors/id/M/MB/MBARBON/Wx-%{version}.tar.gz
BuildRequires:  wxGTK-devel
BuildRequires:  perl(Alien::wxWidgets) >= 0.25
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.21
BuildRequires:  perl(ExtUtils::ParseXS) >= 2.2203
# Technically, we need XSpp::Cmd, but there is no versioning in that provide.
BuildRequires:	perl(ExtUtils::XSpp) >= 0.1602
BuildRequires:  perl(ExtUtils::XSpp::Cmd)
BuildRequires:  perl(Module::Info)
BuildRequires:  perl(Test::More), perl(Test::Harness)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(YAML) >= 0.35
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# Manual provides from XS
Provides: perl(Wx::AcceleratorEntry)
Provides: perl(Wx::AcceleratorTable)
Provides: perl(Wx::ActivateEvent)
Provides: perl(Wx::ANIHandler)
Provides: perl(Wx::App)
Provides: perl(Wx::_App)
Provides: perl(Wx::ArchiveFSHandler)
Provides: perl(Wx::ArtProvider)
Provides: perl(Wx::AUI)
Provides: perl(Wx::BestHelpController)
Provides: perl(Wx::Bitmap)
Provides: perl(Wx::BitmapDataObject)
Provides: perl(Wx::BitmapToggleButton)
Provides: perl(Wx::BMPHandler)
Provides: perl(Wx::BoxSizer)
Provides: perl(Wx::BusyCursor)
Provides: perl(Wx::BusyInfo)
Provides: perl(Wx::Caret)
Provides: perl(Wx::CaretSuspend)
Provides: perl(Wx::CheckBox)
Provides: perl(Wx::CheckListBox)
Provides: perl(Wx::ChildFocusEvent)
Provides: perl(Wx::CHMHelpController)
Provides: perl(Wx::Choice)
Provides: perl(Wx::ClassInfo)
Provides: perl(Wx::ClientDC)
Provides: perl(Wx::Clipboard)
Provides: perl(Wx::ClipboardTextEvent)
Provides: perl(Wx::CloseEvent)
Provides: perl(Wx::Colour)
Provides: perl(Wx::ColourData)
Provides: perl(Wx::ColourDatabase)
Provides: perl(Wx::ColourDialog)
Provides: perl(Wx::ComboBox)
Provides: perl(Wx::CommandEvent)
Provides: perl(Wx::ConfigBase)
Provides: perl(Wx::ContextHelp)
Provides: perl(Wx::ContextHelpButton)
Provides: perl(Wx::ContextMenuEvent)
Provides: perl(Wx::Control)
Provides: perl(Wx::CURHandler)
Provides: perl(Wx::Cursor)
Provides: perl(Wx::DataFormat)
Provides: perl(Wx::DataObject)
Provides: perl(Wx::DataObjectComposite)
Provides: perl(Wx::DataObjectSimple)
Provides: perl(Wx::DataView)
Provides: perl(Wx::DC)
Provides: perl(Wx::DCOverlay)
Provides: perl(Wx::DirDialog)
Provides: perl(Wx::DocChildFrame)
Provides: perl(Wx::DocManager)
Provides: perl(Wx::DocMDIChildFrame)
Provides: perl(Wx::DocMDIParentFrame)
Provides: perl(Wx::DocParentFrame)
Provides: perl(Wx::DocTemplate)
Provides: perl(Wx::Document)
Provides: perl(Wx::DropFilesEvent)
Provides: perl(Wx::DropSource)
Provides: perl(Wx::DropTarget)
Provides: perl(Wx::EraseEvent)
Provides: perl(Wx::Event)
Provides: perl(Wx::EvtHandler)
Provides: perl(Wx::FileConfig)
Provides: perl(Wx::FileDataObject)
Provides: perl(Wx::FileDialog)
Provides: perl(Wx::FileDropTarget)
Provides: perl(Wx::FileHistory)
Provides: perl(Wx::FileSystem)
Provides: perl(Wx::FileSystemHandler)
Provides: perl(Wx::FindDialogEvent)
Provides: perl(Wx::FindReplaceData)
Provides: perl(Wx::FindReplaceDialog)
Provides: perl(Wx::FlexGridSizer)
Provides: perl(Wx::FocusEvent)
Provides: perl(Wx::Font)
Provides: perl(Wx::FontData)
Provides: perl(Wx::FontDialog)
Provides: perl(Wx::FontEnumerator)
Provides: perl(Wx::FontMapper)
Provides: perl(Wx::Frame)
Provides: perl(Wx::FSFile)
Provides: perl(Wx::Gauge)
Provides: perl(Wx::GCDC)
Provides: perl(Wx::GIFHandler)
Provides: perl(Wx::GraphicsBrush)
Provides: perl(Wx::GraphicsContext)
Provides: perl(Wx::GraphicsFont)
Provides: perl(Wx::GraphicsMatrix)
Provides: perl(Wx::GraphicsObject)
Provides: perl(Wx::GraphicsPath)
Provides: perl(Wx::GraphicsPen)
Provides: perl(Wx::Grid)
Provides: perl(Wx::GridBagSizer)
Provides: perl(Wx::GridCellAttr)
Provides: perl(Wx::GridCellAutoWrapStringEditor)
Provides: perl(Wx::GridCellAutoWrapStringRenderer)
Provides: perl(Wx::GridCellBoolEditor)
Provides: perl(Wx::GridCellBoolRenderer)
Provides: perl(Wx::GridCellChoiceEditor)
Provides: perl(Wx::GridCellCoords)
Provides: perl(Wx::GridCellDateTimeRenderer)
Provides: perl(Wx::GridCellEditor)
Provides: perl(Wx::GridCellEnumEditor)
Provides: perl(Wx::GridCellEnumRenderer)
Provides: perl(Wx::GridCellFloatEditor)
Provides: perl(Wx::GridCellFloatRenderer)
Provides: perl(Wx::GridCellNumberEditor)
Provides: perl(Wx::GridCellNumberRenderer)
Provides: perl(Wx::GridCellRenderer)
Provides: perl(Wx::GridCellStringRenderer)
Provides: perl(Wx::GridCellTextEditor)
Provides: perl(Wx::GridEditorCreatedEvent)
Provides: perl(Wx::GridEvent)
Provides: perl(Wx::GridRangeSelectEvent)
Provides: perl(Wx::GridSizeEvent)
Provides: perl(Wx::GridSizer)
Provides: perl(Wx::GridUpdateLocker)
Provides: perl(Wx::HelpControllerBase)
Provides: perl(Wx::HelpControllerHelpProvider)
Provides: perl(Wx::HelpEvent)
Provides: perl(Wx::HelpProvider)
Provides: perl(Wx::HtmlDCRenderer)
Provides: perl(Wx::HtmlEasyPrinting)
Provides: perl(Wx::HtmlHelpController)
Provides: perl(Wx::HtmlLinkInfo)
Provides: perl(Wx::HtmlWindow)
Provides: perl(Wx::ICOHandler)
Provides: perl(Wx::Icon)
Provides: perl(Wx::IconizeEvent)
Provides: perl(Wx::IdleEvent)
Provides: perl(Wx::IFFHandler)
Provides: perl(Wx::Image)
Provides: perl(Wx::ImageHandler)
Provides: perl(Wx::ImageList)
Provides: perl(Wx::IndividualLayoutConstraint)
Provides: perl(Wx::InitDialogEvent)
Provides: perl(Wx::InputStream)
Provides: perl(Wx::InternetFSHandler)
Provides: perl(Wx::JoystickEvent)
Provides: perl(Wx::JPEGHandler)
Provides: perl(Wx::KeyEvent)
Provides: perl(Wx::LanguageInfo)
Provides: perl(Wx::LayoutConstraints)
Provides: perl(Wx::ListBox)
Provides: perl(Wx::ListCtrl)
Provides: perl(Wx::ListEvent)
Provides: perl(Wx::ListItem)
Provides: perl(Wx::ListItemAttr)
Provides: perl(Wx::ListView)
Provides: perl(Wx::Locale)
Provides: perl(Wx::Log)
Provides: perl(Wx::LogChain)
Provides: perl(Wx::LogGui)
Provides: perl(Wx::LogNull)
Provides: perl(Wx::LogPassThrough)
Provides: perl(Wx::LogStderr)
Provides: perl(Wx::LogTextCtrl)
Provides: perl(Wx::LogWindow)
Provides: perl(Wx::Mask)
Provides: perl(Wx::MaximizeEvent)
Provides: perl(Wx::MDIChildFrame)
Provides: perl(Wx::MDIParentFrame)
Provides: perl(Wx::MemoryDC)
Provides: perl(Wx::MemoryFSHandler)
Provides: perl(Wx::Menu)
Provides: perl(Wx::MenuBar)
Provides: perl(Wx::MenuEvent)
Provides: perl(Wx::MenuItem)
Provides: perl(Wx::MiniFrame)
Provides: perl(Wx::MouseCaptureChangedEvent)
Provides: perl(Wx::MouseCaptureLostEvent)
Provides: perl(Wx::MouseEvent)
Provides: perl(Wx::MoveEvent)
Provides: perl(Wx::MultiChoiceDialog)
Provides: perl(Wx::NativeFontInfo)
Provides: perl(Wx::NavigationKeyEvent)
Provides: perl(Wx::Notebook)
Provides: perl(Wx::NotebookEvent)
Provides: perl(Wx::NotebookSizer)
Provides: perl(Wx::NotifyEvent)
Provides: perl(Wx::NumberEntryDialog)
Provides: perl(Wx::OutputStream)
Provides: perl(Wx::Overlay)
Provides: perl(Wx::PageSetupDialog)
Provides: perl(Wx::PageSetupDialogData)
Provides: perl(Wx::PaintDC)
Provides: perl(Wx::PaintEvent)
Provides: perl(Wx::Palette)
Provides: perl(Wx::Panel)
Provides: perl(Wx::PasswordEntryDialog)
Provides: perl(Wx::PCXHandler)
Provides: perl(Wx::Pen)
Provides: perl(Wx::PlArtProvider)
Provides: perl(Wx::PlCommandEvent)
Provides: perl(Wx::PlDataObjectSimple)
Provides: perl(Wx::PlEvent)
Provides: perl(Wx::PlFileSystemHandler)
Provides: perl(Wx::PlGridCellEditor)
Provides: perl(Wx::PlGridCellRenderer)
Provides: perl(Wx::PlLog)
Provides: perl(Wx::PlLogPassThrough)
Provides: perl(Wx::PlSizer)
Provides: perl(Wx::PlThreadEvent)
Provides: perl(Wx::PlValidator)
Provides: perl(Wx::PlXmlResourceHandler)
Provides: perl(Wx::PNGHandler)
Provides: perl(Wx::PNMHandler)
Provides: perl(Wx::Point)
Provides: perl(Wx::Position)
Provides: perl(Wx::PreviewCanvas)
Provides: perl(Wx::PrintData)
Provides: perl(Wx::PrintDialog)
Provides: perl(Wx::PrintDialogData)
Provides: perl(Wx::Printer)
Provides: perl(Wx::PrinterDC)
Provides: perl(Wx::PrintFactory)
Provides: perl(Wx::Printout)
Provides: perl(Wx::PrintPreview)
Provides: perl(Wx::Process)
Provides: perl(Wx::ProcessEvent)
Provides: perl(Wx::ProgressDialog)
Provides: perl(Wx::RadioBox)
Provides: perl(Wx::RadioButton)
Provides: perl(Wx::Rect)
Provides: perl(Wx::RegConfig)
Provides: perl(Wx::Region)
Provides: perl(Wx::RichText)
Provides: perl(Wx::SashEvent)
Provides: perl(Wx::SashWindow)
Provides: perl(Wx::ScreenDC)
Provides: perl(Wx::ScrollBar)
Provides: perl(Wx::ScrolledWindow)
Provides: perl(Wx::ScrollEvent)
Provides: perl(Wx::ScrollWinEvent)
Provides: perl(Wx::SetCursorEvent)
Provides: perl(Wx::SimpleHelpProvider)
Provides: perl(Wx::SingleChoiceDialog)
Provides: perl(Wx::SingleInstanceChecker)
Provides: perl(Wx::Size)
Provides: perl(Wx::SizeEvent)
Provides: perl(Wx::Sizer)
Provides: perl(Wx::SizerItem)
Provides: perl(Wx::Slider)
Provides: perl(Wx::SocketBase)
Provides: perl(Wx::SocketClient)
Provides: perl(Wx::SocketEvent)
Provides: perl(Wx::SocketServer)
Provides: perl(Wx::SpinButton)
Provides: perl(Wx::SpinCtrl)
Provides: perl(Wx::SpinEvent)
Provides: perl(Wx::SplashScreen)
Provides: perl(Wx::StaticBitmap)
Provides: perl(Wx::StaticBox)
Provides: perl(Wx::StaticBoxSizer)
Provides: perl(Wx::StaticLine)
Provides: perl(Wx::StaticText)
Provides: perl(Wx::StatusBar)
Provides: perl(Wx::StopWatch)
Provides: perl(Wx::Stream)
Provides: perl(Wx::SysColourChangedEvent)
Provides: perl(Wx::SystemOptions)
Provides: perl(Wx::SystemSettings)
Provides: perl(Wx::TaskBarIcon)
Provides: perl(Wx::TaskBarIconEvent)
Provides: perl(Wx::TextDataObject)
Provides: perl(Wx::TextDropTarget)
Provides: perl(Wx::TextEntryDialog)
Provides: perl(Wx::TGAHandler)
Provides: perl(Wx::Thread)
Provides: perl(Wx::TIFFHandler)
Provides: perl(Wx::Timer)
Provides: perl(Wx::TimerEvent)
Provides: perl(Wx::TipProvider)
Provides: perl(Wx::ToggleButton)
Provides: perl(Wx::ToolBar)
Provides: perl(Wx::ToolBarBase)
Provides: perl(Wx::ToolBarToolBase)
Provides: perl(Wx::ToolTip)
Provides: perl(Wx::TreeCtrl)
Provides: perl(Wx::TreeEvent)
Provides: perl(Wx::TreeItemData)
Provides: perl(Wx::TreeItemId)
Provides: perl(Wx::UpdateUIEvent)
Provides: perl(Wx::URLDataObject)
Provides: perl(Wx::Validator)
Provides: perl(Wx::View)
Provides: perl(Wx::Wave)
Provides: perl(Wx::Window)
Provides: perl(Wx::WindowCreateEvent)
Provides: perl(Wx::WindowDC)
Provides: perl(Wx::WindowDestroyEvent)
Provides: perl(Wx::WindowDisabler)
Provides: perl(Wx::WinHelpController)
Provides: perl(Wx::Wizard)
Provides: perl(Wx::WizardEvent)
Provides: perl(Wx::WizardPage)
Provides: perl(Wx::WizardPageSimple)
Provides: perl(Wx::XmlResource)
Provides: perl(Wx::XPMHandler)
Provides: perl(Wx::ZipFSHandler)

%description
The Wx module is a wrapper for the wxWidgets (formerly known as
wxWindows) GUI toolkit.

This module comes with extensive documentation in HTML format;
you can download it from http://wxperl.sourceforge.net/.

%prep
%setup -q -n Wx-%{version}

chmod -c a-x README.txt docs/todo.txt samples/*/*.pl
find . -type f -name "*.pm" -o -name "*.h" -o -name "*.cpp" |
    xargs chmod -c a-x

%filter_provides_in %{perl_vendorarch}/.*\\.so$ 
%filter_provides_in -P %{perl_archlib}/(?!CORE/libperl).*\\.so$ 
%filter_from_provides /perl(UNIVERSAL)/d; /perl(DB)/d 
%filter_from_provides /perl(Wx)$/d
%filter_from_provides /perl(MY)$/d
%filter_from_provides /perl(Parse::Yapp::Driver)/d
%filter_provides_in %{_docdir} 
%filter_requires_in %{_docdir} 
%filter_setup 

%build
perl Makefile.PL --wx-unicode \
  --wx-version=`wx-config --version | cut -d . -f 1-2` \
  --wx-toolkit=gtk2 \
  INSTALLDIRS=vendor \
  OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
make install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
%{?_with_testsuite:make test}

%files
%doc Changes README.txt docs/todo.txt wxpl.ico wxpl.xpm
%doc samples/
%{_bindir}/*
%{perl_vendorarch}/Wx*
%{perl_vendorarch}/auto/Wx/
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3pm*

%changelog
* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.9901-2
- Perl mass rebuild

* Tue Jun  7 2011 Tom Callaway <spot@fedoraproject.org> - 0.9901-1
- update to 0.9901

* Mon May  9 2011 Tom Callaway <spot@fedoraproject.org> - 0.99-1
- update to 0.99

* Wed Feb  9 2011 Tom Callaway <spot@fedoraproject.org> - 0.98-5
- add explicit provides for all XS files, not just the ones in XS/

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Feb  8 2011 Tom Callaway <spot@fedoraproject.org> - 0.98-3
- add explicit provides for the stuff in the XS/ directory that
  isn't autodetected

* Thu Jan 27 2011 Tom Callaway <spot@fedoraproject.org> - 0.98-2
- update filtering macros, filter out requires on Wx::PlValidator

* Wed Jan 26 2011 Tom Callaway <spot@fedoraproject.org> - 0.98-1
- update to 0.98

* Thu Dec 23 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.92-5
- 661697 rebuild for fixing problems with vendorach/lib

* Wed Jul 14 2010 Dan Horák <dan@danny.cz> - 0.92-4
- rebuilt against wxGTK-2.8.11-2

* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.92-3
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.92-2
- rebuild against perl 5.10.1

* Sat Sep  5 2009 Stepan Kasal <skasal@redhat.com> - 0.92-1
- new upstream version

* Thu Aug 20 2009 Stepan Kasal <skasal@redhat.com> - 0.91-8
- rebuild with perl-Alien-wxWidgets-0.44-2

* Thu Aug 20 2009 Stepan Kasal <skasal@redhat.com> - 0.91-7
- rebuild against patched perl-Alien-wxWidgets

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.91-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul  7 2009 Stepan Kasal <skasal@redhat.com> - 0.91-5
- return back RPM_OPT_FLAGS

* Tue Jul  7 2009 Stepan Kasal <skasal@redhat.com> - 0.91-4
- rebuild against perl-5.10.0-72 (#508496)

* Mon Jun 29 2009 Marcela Mašláňová <mmaslano@redhat.com> - 0.91-3
- remove RPM_OPT_FLAGS which create message: undefined symbol: Perl_Guse_safe_putenv_ptr
- Resolves: rhbz#508496

* Fri Jun 19 2009 Stepan Kasal <skasal@redhat.com> - 0.91-2
- rebuild

* Wed Jun  3 2009 Marcela Mašláňová <mmaslano@redhat.com> - 0.91-1
- update

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.89-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.89-1
- 0.89

* Tue Mar  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.81-1
- 0.81
- minor packaging cleanups

* Tue Mar  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.80-4
- rebuild for new perl

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.80-3
- Autorebuild for GCC 4.3

* Fri Nov 30 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 0.80-2
- fix bogus requires

* Wed Nov 28 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 0.80-1
- bump to 0.80

* Thu Jun  7 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.74-1
- Update to 0.74.

* Sun Apr 22 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.73-1
- Update to 0.73.

* Sun Apr  1 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.72-1
- Update to 0.72.

* Sat Mar 31 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.71-1
- Update to 0.71.

* Fri Mar 23 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.70-1
- Update to 0.70.

* Sun Mar 18 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.69-1
- Update to 0.69.

* Thu Jan 25 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.67-2
- Filtering out perl(Parse::Yapp::Driver) from the provides list (#224238).
- Filtering out perl(MY) from the provides list.

* Sat Dec 16 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.67-1
- Update to 0.67.

* Sat Dec 16 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.66-1
- Update to 0.66.

* Fri Dec 15 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.65-2
- Rebuild (wxGTK 2.8.0).

* Thu Dec  7 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.65-1
- Update to 0.65.

* Fri Dec  1 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.64-1
- Update to 0.64.

* Wed Nov 22 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.63-1
- Update to 0.63.

* Tue Nov 14 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.62-1
- Update to 0.62.

* Sat Nov 11 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.60-1
- Update to 0.60.

* Sat Oct 21 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.59-1
- Update to 0.59.

* Fri Oct 20 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.58-1
- Update to 0.58.

* Sun Oct  1 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.57-2
- Filtered perl(Wx) duplicate provide.
- Corrected several file permission.

* Sun Sep 24 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.57-1
- Update to 0.57.

* Sun May 14 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.27-1
- First build.
